[Openvas-discuss] Install Error Message OpenVAS-5 using Fedora 15 on a Virtual Machine!

Ryan Schulze ryan at dopefish.de
Tue May 8 15:15:15 CEST 2012


Did you install a C compiler (i.e. gcc)?


On 5/7/2012 3:35 PM, Jan Muhammad wrote:
>
> Hi Group,
>
> I have installed the libxml-devel, libxslt-devel, libmicrohttpd-devel, 
> but still get the CMake Error. However, when I check for CMake it says:
> # rpm -qa cmake
> cmake-2.8.4-1.fc15.i686
>
> And even when I try to install openvas-libraries-devel with command:
>
> # yum install openvas-libraries-devel.i686
> It says, Package openvas-libraries-devel-4.0.3.2.fc15.i686 already 
> installed and latest version
>
> Wondering how to resolve this issue?
>
> Below is the error message.
>
> Regards
> -Jan
> --------------------------------------------------------------------------------------------------- 
>
> [root at localhost greenbone-security-assistant-3.0.1]# cmake .
> -- Configuring greenbone-security-assistant...
> -- The C compiler identification is unknown
> CMake Error: your C compiler: "CMAKE_C_COMPILER-NOTFOUND" was not 
> found.   Please set CMAKE_C_COMPILER to a valid compiler path or name.
> -- Looking for pkg-config... /usr/bin/pkg-config
> -- checking for module 'libopenvas>=5.0.0'
> -- package 'libopenvas>=5.0.0' not found
> CMake Error at /usr/share/cmake/Modules/FindPkgConfig.cmake:266 (message):
>   A required package was not found
> Call Stack (most recent call first):
>   /usr/share/cmake/Modules/FindPkgConfig.cmake:320 
> (_pkg_check_modules_internal)
>   CMakeLists.txt:87 (pkg_check_modules)
>
>
> CMake Error at CMakeLists.txt:149 (message):
>   One or more required libraries was not found (see message above), please
>   install the missing libraries and run cmake again.
>
> -- Configuring incomplete, errors occurred!
>
> ------------------------------------------------------------------------
> *From:* Jan-Oliver Wagner <Jan-Oliver.Wagner at greenbone.net>
> *To:* openvas-discuss at wald.intevation.org
> *Sent:* Thursday, 3 May 2012, 16:04
> *Subject:* Re: [Openvas-discuss] Install Error Message OpenVAS-5 using 
> Fedora 15 on a Virtual Machine!
>
> On Mittwoch 02 Mai 2012, Jan Muhammad wrote:
> > I am new to OpenVAS and struggling to install OpenVAS version5. 
> Wonder is there any easy way to install/configure OpenVAS components. 
> I am testing OpenVAS on a Fedora Core 15 Virtual Machine, host is 
> based on Windows 7.
> >
> > I tried to download source from 
> (http://openvas.org/install-source.html). For each of component in the 
> relevant directory when I read through the INSTALL instructions, there 
> are various dependencies. I installed dependencies using Yum in one 
> terminal and when I run the command:
> > # cmake .
> >
> > I get long list of missing dependencies (but I already installed 
> them, wonder how to specify the path as they were installed via Yum). 
> Packages such as libxml, libxslt, libmicrohttpd are installed. For 
> example when I check with rpm -qa command:
>
> you need the development packages. Usually suffixed "-dev" or "-devel".
>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.wald.intevation.org/pipermail/openvas-discuss/attachments/20120508/7cc2fab9/attachment.html>


More information about the Openvas-discuss mailing list